# Function ScalifyFilter

- ScalifyFilter($filter: IFilterService): ((arg0: number) => string)

- Format a number as a localized scale. For instance:

  - For 'fr-CH' the value 25000 will become '1 : 25 000'.
  - For 'en-US' the value 25000 will become '1 : 25,000'.

  Example:

       <p>{{25000 | ngeoScalify}}</p>

  ### Returns

  A function to format number into a 'scale' string.

  ### Ng Inject

  ### Ngdoc

  filter

  ### Ngname

  ngeoScalify

  #### Parameters

  - ##### $filter: IFilterService

    Angular filter

  #### Returns ((arg0: number) => string)

  - - (arg0: number): string

    - #### Parameters

      - ##### arg0: number

      #### Returns string

  - Defined in src/misc/filters.js:103

Generated using TypeDoc